Bug 76480 - adding a printer with "lpadmin" can fail silently
adding a printer with "lpadmin" can fail silently
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: cups (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-22 05:42 EDT by Robert P. J. Day
Modified: 2013-09-24 07:52 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 12:25:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert P. J. Day 2002-10-22 05:42:06 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020830

Description of problem:
  when adding a printer with "lpadmin -p", if you don't
specify enough options for proper configuration, the lpadmin
seems to just fail silently without any error/usage message.

  when adding a printer with:

  # lpadmin -p <newprinter> <options>

it seems that you should minimally have to specify a PPD file,
a device or something like that.  however, if you just run

  # lpadmin -p newone

you get a prompt back, no error/usage message, but nothing's
changed

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.# lpadmin -p <newprintername>
2.
3.
	

Actual Results:    nothing changes, no error message about missing options
or proper usage.

Expected Results:    if the command fails, an error/usage message would
be nice.

Additional info:
Comment 1 Bill Nottingham 2006-08-07 15:02:32 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
Please check if this issue is still present in a current Fedora Core
release. If so, please change the product and version to match, and
check the box indicating that the requested information has been
provided. Note that any bug still open against Red Hat Linux on will be
closed as 'CANTFIX' on September 30, 2006. Thanks again for your help.
Comment 2 Bill Nottingham 2006-10-18 12:25:40 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.